This project is read-only.

Possible update of FCKeditor

Topics: Developer Forum, Project Management Forum, User Forum
Nov 23, 2007 at 6:55 PM
I have noticed that there is a new version of the FCKeditor, is there any plans to upgrade to this? I am willing to attempt this on my own, I am just wondering how I would go abouts doing this.
Jul 21, 2008 at 6:58 AM

Hi!

Have a look at www.burstmode.de. There´s a tutorial on how to upgrade to FCKEditor version 2.6.2.

Aug 10, 2008 at 2:14 AM
FCKEditor has been upgraded to version 2.6.3. I installed it today following the instructions on the www.burstmode.de web site. Afterward, I kept getting "FCKLang not defined" errors. This occurred always on the first time you try to load the page. If you do a refresh of the page, the error goes away and the editor displays. I added the following the line to my web.config file in the appsettings section:

<add key="FCKeditor:BasePath" value="~/FCKeditor/"/>

and change this line:

  <supportedLanguages languages="de,en,pt,ar,cs,es,pl,fr,el,nl,ru"/>

to this:

 <supportedLanguages languages="af,ar,bg,bn,bs,ca,cs,da,de,el,en-au,en-ca,en-uk,en,eo,es,et,eu,fa,fi,fo,fr-ca,fr,gl,gu,he,hi,hr,hu,it,ja,km,ko,lt,lv,mn,ms,nb,nl,no,pl,pt-br,pt,ro,ru,sk,sl,sr-latn,sr,sv,th,tr,uk,vi,zh-cn,zh"/>

I'm not sure which line fixed the error, but the editor worked fine after making the adjustment.
Aug 10, 2008 at 8:43 AM
Hi!

Thanks for pointing out the new version of FCKEditor! Looking at the changelog it´s really worth updating.

I assembled a new release of MWPSKex at www.burstmode.de: MWPSKex.#006. This one has been updated to contain the new FCKEditor version and all previous MWPSKex modifications as well. Complete download available.

For me everything runs fine without the "FCKLang" error. Maybe it´s a browser cache issue? Would like to hear from other people too if they get the error after clearing their browser´s cache...

Cheers,
Mark
Aug 10, 2008 at 4:41 PM
u.. I can't see any error... Tnx divetramp